<?

$percost=1;

?><HTML><HEAD>
<link rel=stylesheet type="text/css" href="../i/main.css">
<meta content="text/html; charset=windows-1251" http-equiv=Content-type>
<META Http-Equiv=Cache-Control Content=no-cache>
<meta http-equiv=PRAGMA content=NO-CACHE>
<META Http-Equiv=Expires Content=0>
<SCRIPT src='../i/commoninf.js'></SCRIPT>
<SCRIPT>
var Hint3Name = '';
// Заголовок, название скрипта, имя поля с логином
function findlogin(title, script, name){
	document.all("hint3").innerHTML = '<table width=100% cellspacing=1 cellpadding=0 bgcolor=CCC3AA><tr><td align=center><B>'+title+'</td><td width=20 align=right valign=top style="cursor: hand" onclick="closehint3();"><BIG><B>x</td></tr><tr><td colspan=2>'+
	'<table width=100% cellspacing=0 cellpadding=2 bgcolor=FFF6DD><tr><form action="'+script+'" method=POST><INPUT TYPE=hidden name=sd4 value="<? echo $myinfo->id_person; ?>"><td colspan=2>'+
	'Укажите логин персонажа:<small><BR>(можно щелкнуть по логину в чате)</TD></TR><TR><TD width=50% align=right><INPUT TYPE=text NAME="'+name+'"></TD><TD width=50%><INPUT type=image SRC=../i/b__ok.gif WIDTH=25 HEIGHT=18></TD></TR></FORM></TABLE></td></tr></table>';
	document.all("hint3").style.visibility = "visible";
	document.all("hint3").style.left = 100;
	document.all("hint3").style.top = 100;
	document.all(name).focus();
	Hint3Name = name;
}

function returned2(s){
	if (top.oldlocation != '') { top.frames['main<? echo $myinfo->id_person; ?>'].navigate(top.oldlocation+'?'+s+'tmp='+Math.random()); top.oldlocation=''; }
	else { top.frames['main<? echo $myinfo->id_person; ?>'].navigate('/main.php?'+s+'tmp='+Math.random()) }
}
<? 
$step=1;
if ($step==1) $idkomu=0;
?>
function closehint3(){
	document.all("hint3").style.visibility="hidden";
    Hint3Name='';
}

var transfersale = true;
<?

$myinfo->get_chat_params();
if (!$_REQUEST[setedit]) { $_REQUEST[setedit]=1; }
if ($_REQUEST[FindLogin]) {
	$res=db_use('array',"select id_person,level,id_room,(select count(*) FROM sessions where username='".mysql_escape_string($_REQUEST[FindLogin])."') as online from person where persname='".mysql_escape_string($_REQUEST[FindLogin])."' or id_person=(select id_person from users where login='".mysql_escape_string($_REQUEST[FindLogin])."')");
	$step=3;
}
elseif ($_REQUEST[to_id]) {
	$res=db_use('array',"select p.id_person,p.level,p.id_room,(select count(*) FROM sessions where username=u.login) as online 
	from person p left join users u on u.id_person=p.id_person where p.id_person='".mysql_escape_string($_REQUEST[to_id])."'");
	$step=3;
}
if ($step==3){
	$step=0;
	$id_person_x=$res['id_person'];
	if (!$id_person_x) $mess='Персонаж не найден';
	elseif ($id_person_x==$myinfo->id_person) $mess='Незачем передавать самому себе';
	elseif ($res[online]<1) $mess='Персонаж не онлайн';
	elseif ($res[id_room]!=$myinfo->id_room) $mess='Вы должны находиться в одной комнате с тем кому хотите передать вещи';
	elseif ($res[level]<4) $mess='К персонажам до 4-го уровня передачи предметов запрещены';
	else{
		$idkomu=$id_person_x;$komu=new persinfo ($idkomu); $step=3;
		$mess=$_REQUEST[FindLogin];
	}
}else $mess='К персонажам до 4-го уровня передачи предметов запрещены';

if ($step==3 && (int)$myinfo->align!=2) {
	if ($_REQUEST[setkredit]>0 && $_REQUEST[to_id] && $_REQUEST[sd4]==$myinfo->id_person ) {
		if ($myinfo->money<$_REQUEST[setkredit]) $mess="Недостаточно денег";
		else {
			db_use('query',"update person set money=money-".strval($_REQUEST[setkredit])." where id_person='".$myinfo->id_person."'");
			db_use('query',"update person set money=money+".strval($_REQUEST[setkredit])." where id_person='".$idkomu."'");
			$mess='Удачно переданы '.strval($_REQUEST[setkredit]).' кр к персонажу '.$komu->name;
			db_use('query',"insert into komok_sells (id_room,id_owner,id_person,oper,id_thing,cost) values 
	(1,'".$myinfo->id_person."',".$idkomu.",3,'0','".strval($_REQUEST[setkredit])."');");
			$myinfo->money-=$_REQUEST[setkredit];
			new_chat_message5($myinfo->id_person,'Удачно переданы '.strval($_REQUEST[setkredit]).' кр к персонажу '.$komu->name.'['.$komu->level.']');		
			new_chat_message5($idkomu,'"'.$myinfo->name.'" передал'.($myinfo->sex?'а':'').' вам '.strval($_REQUEST[setkredit]).' кр');		
		}
	}else
	if ($_REQUEST[setobject] && $_REQUEST[to_id] && $_REQUEST[sd4]==$myinfo->id_person) {
		$res=db_use('array',"select id_thing from inv where id_person='".$myinfo->id_person."' and id_thing='".strval($_REQUEST[setobject])."'");
		if (!$res[id_thing]) $mess="Предмет не найден в рюкзаке";
		elseif ($myinfo->money<$percost) $mess='Недостаточно денег на оплату передачи';
		else {
			$value=fullthing(strval($_REQUEST[setobject]));
			if ($value->gift) $mess='Нельзя передавать подарки';
			else{
				#KOMOK_LOG
				$resx=db_use('array',"select id_thing from thing_history where id_thing='".strval($_REQUEST[setobject])."'");
				if (!$resx['id_thing']) {
					db_use('query',"insert into thing_history (id_thing,id_thing2) values ('".strval($_REQUEST[setobject])."','".$value->id_thing2."');");
				}
				db_use('query',"update person set money=money-".$percost." where id_person='".$myinfo->id_person."'");
				db_use('query',"update inv set id_person='".$idkomu."' where id_thing='".strval($_REQUEST[setobject])."' and id_person='".$myinfo->id_person."'");
				$mess='Удачно передано "'.$value->name.'" к персонажу '.$komu->name;
				db_use('query',"insert into komok_sells (id_room,id_owner,id_person,oper,id_thing,cost) values 
		(1,'".$myinfo->id_person."',".$idkomu.",3,'".strval($_REQUEST[setobject])."','".$percost."');");
				new_chat_message5($myinfo->id_person,'Удачно передано "'.$value->name.'" к персонажу '.$komu->name.'['.$komu->level.']');		
				new_chat_message5($komu->id_person,'"'.$myinfo->name.'" передал'.($myinfo->sex?'а':'').' вам "'.$value->name.'"');
			}		
		}
	}

}
?>
var tologin = '<? echo ($step==3?$komu->login:''); ?>';
function Sale(to_id, name, n, txt, transfer_kredit){
	var s = prompt("Продать \""+txt+"\" к \""+tologin+"\". Укажите цену:", '');
	if (s != null && s!= '') { // продаем
	    if (confirm("Продать \""+txt+"\" к \""+tologin+"\" за "+parseFloat(s)+" кр. Вы заплатите "+transfer_kredit+"кр. за передачу! Ваш партнер по сделке должен открыть у себя окно обмена. Продолжить?")) {
		   location="/main.php?to_id="+to_id+"&setobject="+name+"&n="+n+"&sale="+s+"&sd4=<? echo $myinfo->id_person; ?>&0.760742158507544";
		}
	}
}
function transfer(to_id, login, txt, kredit, id, destiny){
	document.all("hint3").innerHTML = '<table width=500 cellspacing=1 cellpadding=0 bgcolor=CCC3AA><tr><td align=center><B>Продажа предмета</td></tr><tr><td>'+
	'<table width=100% cellspacing=0 cellpadding=5 bgcolor=FFF6DD><tr><form action="/main.php" method=POST><INPUT TYPE=hidden name=sd4 value="<? echo $myinfo->id_person; ?>"><INPUT TYPE=hidden name=FindLogin value=0><INPUT TYPE=hidden name=to_id value="'+to_id+'"><INPUT TYPE=hidden name=transfersale value="'+id+'"><td>'+
	'<b>'+login+'</b> <a href="/inf.php?'+to_id+'" target=_blank><IMG SRC=../i/inf.gif WIDTH=12 HEIGHT=11></a> предлагает Вам купить предмет:<BR>'+
	txt+'<BR>за <font color=red><b>'+kredit+' кр.</b></font><BR>Проводим сделку?</TD></TR><TR><TD align=center><INPUT TYPE=submit '+(destiny?" onclick='return confirm(\"Этот предмет может использовать только "+destiny+" Вы уверены, что хотите его купить?\")'":"")+' value="  ДА  "> &nbsp;&nbsp; <INPUT TYPE=button value=" НЕТ " onclick="closehint3()"></TD></TR></FORM></TABLE></td></tr></table>';
	document.all("hint3").style.visibility = "visible";
	document.all("hint3").style.left = 100;
	document.all("hint3").style.top = 60;
}
function reloadit(){
   if (tologin != '') { location="/main.php?FindLogin=0&to_id=<? echo $idkomu; ?>&sd4=<? echo $myinfo->id_person; ?>&0.760742158507544" }
}
</SCRIPT>
</HEAD>
<body bgcolor=e2e0e0><div id=hint3 class=ahint></div>
<H3>Передача предметов/кредитов другому игроку</H3>
<TABLE width=100% cellspacing=0 cellpadding=0>
<TR><TD>
<? if ($step==3) { 
echo 'К кому передавать: <font color=red><SCRIPT>drwfl("'.$komu->name.'",'.$komu->id_person.',"'.$komu->level.'",'.$komu->align.',"'.$komu->clanname.'")</SCRIPT></font>';
?><INPUT TYPE=button value="Сменить" onClick="findlogin('Передача предметов','main.php','FindLogin')"><BR><?
}else{
?> <SCRIPT>findlogin('Передача предметов','main.php','FindLogin')</SCRIPT><?
}
?>
	
</td><TD align=right>
	<INPUT TYPE=button value="Подсказка" style="background-color:#A9AFC0" onClick="window.open('/encicl/help/transfer.html', 'help', 'height=300,width=500,location=no,menubar=no,status=no,toolbar=no,scrollbars=yes')">
	<INPUT TYPE=button value="Вернуться" onClick="returned2('setcancel=1&')">
</td></tr><tr><td colspan=2 align=right><? if ($step!=4) {?> <FONT COLOR=red><B><? echo $mess; ?></B></FONT> <? } ?></td></tr></table>

<TABLE width=100% cellspacing=0 cellpadding=0>
<FORM ACTION="main.php" METHOD=POST>
<TR>
	<TD valign=top align=left width=40%>
<?
	if ($step==3) { ?>
	<INPUT TYPE=hidden name=to_id value="<? echo $idkomu; ?>">
	<INPUT TYPE=hidden name=sd4 value="<? echo $myinfo->id_person; ?>">
	<BR>У вас на счету: <FONT COLOR=339900><B><? echo $myinfo->money; ?></B></FONT> кр.<BR>
	
	Передать кредиты, минимально 0.01кр.<BR>
	Укажите передаваемую сумму: <INPUT TYPE=text NAME=setkredit maxlength=8 size=6>&nbsp;<INPUT TYPE=submit VALUE="Передать">
	<?
	}
?>	
	</TD>
</FORM>

<FORM ACTION="main.php" METHOD=POST>
<INPUT TYPE=hidden name=sd4 value="<? echo $myinfo->id_person; ?>">
<TD valign=top align=right>

<?
if ($step==3) {
	$myinv=new inv($_REQUEST[setedit],$myinfo->id_person); #загрузить инвентарь
?>
<TABLE width=100% cellspacing=0 cellpadding=0 bgcolor=A5A5A5>
<TR><TD>
	<TABLE width=100% cellspacing=0 cellpadding=3 bgcolor=d4d2d2><TR>
	<TD <? echo ($_REQUEST[setedit]==1?'bgcolor=A5A5A5':''); ?> align=center><A HREF="/main.php?to_id=<? echo $idkomu; ?>&setkredit=0&setedit=1&sd4=<? echo $myinfo->id_person; ?>">Обмундирование</A></TD>
	<TD <? echo ($_REQUEST[setedit]==2?'bgcolor=A5A5A5':''); ?> align=center><A HREF="/main.php?to_id=<? echo $idkomu; ?>&setkredit=0&setedit=2&sd4=<? echo $myinfo->id_person; ?>">Заклятия</A></TD>
	<TD <? echo ($_REQUEST[setedit]==3?'bgcolor=A5A5A5':''); ?> align=center><A HREF="/main.php?to_id=<? echo $idkomu; ?>&setkredit=0&setedit=3&sd4=<? echo $myinfo->id_person; ?>">Эликсиры</A></TD>
	<TD <? echo ($_REQUEST[setedit]==4?'bgcolor=A5A5A5':''); ?> align=center><A HREF="/main.php?to_id=<? echo $idkomu; ?>&setkredit=0&setedit=4&sd4=<? echo $myinfo->id_person; ?>">Прочее</A></TD>
	</TR></TABLE>
</TD></TR>
<TR>
	<TD align=center><B>Рюкзак (масса: <? echo $myinv->weight.") ".(0+$wei)."/".(($myinfo->sumall('sil'))*4); ?>)</B></TD>
</TR>
<TR><TD><!--Рюкзак-->
<?
if (count($myinv->things)) {
	$i=1;
	foreach ($myinv->things as $key => $value) {
		if (!$value->gift) {
			$i=-$i;	echo "<TR bgcolor=#".($i<0?"C7C7C7":"D5D5D5").">";
			if ($value->zakl!='' OR $value->vzakl!='') {
				$use=usemagick($value);
			}
			printinfo($value,$myinfo,1,'',"<A HREF=\"/main.php?to_id=".$idkomu."&id_th=".$value->id_thing."&setobject=".$value->id_thing."&sd4=".$myinfo->id_person."&tmp=".rand(0,50000000)."\"".'onclick="return confirm(\'Передать предмет '.$value->name.'?\')">передать&nbsp;за&nbsp;'.$percost.'&nbsp;кр.</A>');
		#	printinfo($value,$myinfo,1,'',"<A HREF=\"/main.php?to_id=".$idkomu."&id_th=".$value->id_thing."&setobject=".$value->id_thing."&sd4=".$myinfo->id_person."&tmp=".rand(0,50000000)."\"".'onclick="return confirm(\'Передать предмет '.$value->name.'?\')">передать&nbsp;за&nbsp;'.$percost.'&nbsp;кр.</A><BR><A href="/main.php?to_id='.$idkomu.'&sd4='.$myinfo->id_person.'&setobject='.$value->id_thing.'&podarok='.rand(0,50000000).'" onclick="return confirm(\'Подарить предмет '.$value->name.'? Т.к. вы дарите, то этот предмет больше нельзя будет кому-либо передать!!!\')">подарить</A><BR><a href="javascript:Sale(\''.$idkomu.'\', \''.$value->id_thing.'\', \'0\', \''.$value->name.'\', \''.$percost.'\')">продать</A>',$value->gos_price.' кр. ('.$value->ekr.' кр)');
		
			echo"			</TD>
			</TR>";$coun++;
			if ($coun>80) {echo "<font color=red>Вещей слишком много для показа</font>";die;}
		}
	}
}else {
echo "<TR><TD bgcolor=e2e0e0 align=center>ПУСТО</TD></TR>";
}
echo "</TABLE>";

?>
</TD></TR>
</TABLE>
<?
}else{
}
?>


</TD></TR>
</FORM>
</TABLE>

</BODY>
</HTML>
